Runtime

## org.eclipse.gmf.runtime.common.ui.action.global
Class GlobalActionId

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.action.global.GlobalActionId

public final class GlobalActionId
extends java.lang.Object

Class with the global action id constants

Field Summary
`static java.lang.String` `CLOSE` Action id for the close action
`static java.lang.String` `COPY` Action id for the copy action
`static java.lang.String` `CUT` Action id for the cut action
`static java.lang.String` `DELETE` Action id for the delete action
`static java.lang.String` `FIND` Action id for the find action
`static java.lang.String` `MOVE` Action id for the move action
`static java.lang.String` `OPEN` Action id for the open action.
`static java.lang.String` `PASTE` Action id for the paste action
`static java.lang.String` `PRINT` Action id for the print action
`static java.lang.String` `PROPERTIES` Action id for the properties action
`static java.lang.String` `REDO` Action id for the redo action
`static java.lang.String` `REFRESH` Action id for the refresh action
`static java.lang.String` `RENAME` Action id for the rename action
`static java.lang.String` `REVERT` Action id for the revert action
`static java.lang.String` `SAVE` Action id for the save action
`static java.lang.String` `SELECT_ALL` Action id for the select all action
`static java.lang.String` `UNDO` Action id for the undo action

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUT

    public static final java.lang.String CUT

  Action id for the cut action

### COPY

    public static final java.lang.String COPY

  Action id for the copy action

### PASTE

    public static final java.lang.String PASTE

  Action id for the paste action

### MOVE

    public static final java.lang.String MOVE

  Action id for the move action

### RENAME

    public static final java.lang.String RENAME

  Action id for the rename action

### DELETE

    public static final java.lang.String DELETE

  Action id for the delete action

### SELECT_ALL

    public static final java.lang.String SELECT_ALL

  Action id for the select all action

### UNDO

    public static final java.lang.String UNDO

  Action id for the undo action

### REDO

    public static final java.lang.String REDO

  Action id for the redo action

### PRINT

    public static final java.lang.String PRINT

  Action id for the print action

### PROPERTIES

    public static final java.lang.String PROPERTIES

  Action id for the properties action

### REFRESH

    public static final java.lang.String REFRESH

  Action id for the refresh action

### REVERT

    public static final java.lang.String REVERT

  Action id for the revert action

### SAVE

    public static final java.lang.String SAVE

  Action id for the save action

### FIND

    public static final java.lang.String FIND

  Action id for the find action

### OPEN

    public static final java.lang.String OPEN

  Action id for the open action.

  The "open" action is not an eclipse retargetable action and therefore no workbench action constant is defined. However, the string must be defined here so that the ProviderDescriptor.provides() method (defined in GlobalActionHandlerService) will find the action handler provider with a defined XML property: actionId="open".

  See Also:
    Constant Field Values

### CLOSE

    public static final java.lang.String CLOSE

  Action id for the close action

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.